{ lib, ... }:
{
  systemd.services.wiki-js = {
    requires = [ "postgresql.service" ];
    after = [ "postgresql.service" ];
  };

  services.postgresql = {
    enable = lib.mkOverride 1100 true;
    ensureDatabases = [ "wiki" ];
    ensureUsers = [
      { name = "wiki-js";
        ensurePermissions."DATABASE wiki" = "ALL PRIVILEGES";
      }
    ];
  };

  services.wiki-js = {
    enable = true;
    settings = {
      bindIP = "127.0.0.1";
      port = 3010;
      db = {
        host = "/run/postgresql";
        user = "wiki-js";
      };
    };
    stateDirectoryName = "wiki-js";
  };
}
